Jag hade hört att Visual Studio 2005 har kompatibilitetsproblem med Windows Vista, så jag blev inte förvånad när jag fick det här felmeddelandet när jag försökte köra för första gången. För att lösa detta specifika felmeddelande måste du installera SP1-uppdateringen, vilket är ganska mycket servicepaketet för servicepaketet, tror jag.

Du kan ladda ner SP1-uppdateringen här: http://go.microsoft.com/?linkid=6366078

Efter att ha installerat den uppdateringen fick jag det här felmeddelandet och sa att "Administratörsbehörighet rekommenderas för att köra Visual Studio 2005 SP1" och be om att använda alternativet Kör som administratör när du startar Visual Studio.

Efter att ha gjort lite forskning har du ett par alternativ:

  • Kör Visual Studio som administratör (din bästa insats är att bara ändra genvägen för att alltid köra som administratör.) Du kommer fortfarande att sluta med några fel på så sätt.
  • Kör Visual Studio som en vanlig användare, och öppna den bara som administratör om du får ett specifikt fel som kräver administratörsbehörighet.
  • Avmarkera kryssrutan.

Tips! Om du försöker felsöka webprojekt måste du se till att du går till Lägg till / Ta bort Windows-komponenter i Kontrollpanelen och installera IIS6-kompatibiliteten med IIS7-alternativet, annars har du inte mycket lycka till.

Sammantaget är Visual Studio 2005 bara inte särskilt kompatibel med Vista. Det är frustrerande, men det är livet.

Top Tips:
Kommentarer: